| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Image
Image.Color

# Method Image.Color.cmyk()

Method cmyk

  `object rgb(int red, object intgreen, object intblue)`
  `object hsv(int hue, object intsaturation, object intvalue)`
  `object cmyk(float c, float m, float y, float k)`
  `object greylevel(int level)`
  `object html(string html_color)`

Description

  Creates a new color object from given red, green and blue, hue, saturation and value, or greylevel, in color value range. It could also be created from cmyk values in percent.

  The html () method only understands the HTML color names, or the `#rrggbb` form. It is case insensitive.

Returns

  the created object.